export class DebugVisualizerAPI {
    constructor({ debugActorMap }) {
        this.debugActorMap = debugActorMap;
    }
    getDebugActors(actor) {
        const debugActors = new Set();
        this.debugActorMap.forEach((moduleActorMap) => {
            const debugActor = moduleActorMap.get(actor);
            if (debugActor) {
                debugActors.add(debugActor);
            }
        });
        return Array.from(debugActors);
    }
}
